<!DOCTYPE html>
<html lang="{@ lang @}">
<head>
    <meta charset="utf-8">
    <title>{@ me.firstname @} {@ me.lastname @}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="{@ me.headline @}">
    <meta name="author" content="{@ me.firstname @} {@ me.lastname @}">
    <link rel="icon" href="assets/favicon.ico">

    <!-- Google Font -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,500,600,700,800,900" rel="stylesheet">

    <!-- FontAwesome JS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.4.1/css/bootstrap.min.css">

    <!-- Theme CSS -->
    <link id="theme-style" rel="stylesheet" href="assets/css/cv.css">
</head>

<body class="text-center position-relative">
    <main class="mx-auto text-left bg-white shadow-lg">

        <header>
            <div class="media flex-column flex-md-row">
                <div class="media-body p-4 p-md-5 d-flex flex-column flex-md-row mx-0">

                    <div>
                        <h1 class="mt-0 mb-1">{@ me.firstname @} {@ me.lastname @}</h1>
                        <h2 class="mb-3">{@ me.headline @}</h2>
                    </div>

                    <div class="ml-md-auto print-hidden text-right">
                        <div class="mb-3">
                            <a href="{% if lang == 'en' %}#{% else %}cv.html{% endif %}">[en]</a>
                            <a href="{% if lang == 'fr' %}#{% else %}cv.fr.html{% endif %}">[fr]</a>
                        </div>

                        {% if lang == 'en' %}<a href="Aurelien_Chabot_cv.pdf">{% else %}<a href="Chabot_Aurelien_cv.pdf">{% endif %}
                            <span class="fa-container"><i class="fas fa-file-pdf"></i></span>
                        </a>
                    </div>

                </div>
            </div>
        </header>

        <div class="row m-0">

            <aside class="col-md-3 order-md-2 py-4 px-4">

                <section id="information-section" class="mb-4">
                    <h2 class="pb-3 mb-3">Information</h2>
                    <ul class="list-unstyled">
                        <li class="mb-1">
                            <span class="fa-container text-center mr-1"><i class="fas fa-map-marker-alt"></i></span>
                            {@ me.location @}
                        </li>
                        <li class="mb-1">
                            <span class="fa-container text-center mr-1"><i class="fas fa-flag"></i></span>
                            {@ me.nationality @}
                        </li>
                        <li class="mb-1"><a href="mailto:{@ me.email @}">
                            <span class="fa-container text-center mr-1"><i class="fas fa-envelope fa-fw"></i></span>
                            {@ me.email @}
                        </a></li>
                        <li class="mb-1"><a href="http://{@ me.site @}">
                            <span class="fa-container text-center mr-1"><i class="fas fa-globe fa-fw"></i></span>
                            {@ me.site @}
                        </a></li>
                        <li class="mb-1"><a href="https://www.linkedin.com/in/{@ me.linkedin @}">
                            <span class="fa-container text-center mr-1"><i class="fab fa-linkedin-in fa-fw"></i></span>
                            {@ me.linkedin @}
                        </a></li>
                        <li class="mb-1"><a href="https://github.com/{@ me.github @}">
                            <span class="fa-container text-center mr-1"><i class="fab fa-github-alt fa-fw"></i></span>
                            {@ me.github @}
                        </a></li>
                        <li class="mb-1"><a href="https://gitlab.com/{@ me.gitlab @}">
                            <span class="fa-container text-center mr-1"><i class="fab fa-gitlab fa-fw"></i></span>
                            {@ me.gitlab @}
                        </a></li>
                    </ul>
                </section>

                <section id="skills-section" class="mb-4">
                    <h2 class="pb-3 mb-3">{@ skills.name @}</h2>
                    <div class="content">
                        <ul class="list-unstyled mb-4">
                            {% for skill in skills.list %}
                                {% if skill.level %}
                                <li class="mb-2">
                                    <div class="title">{@ skill.label @}</div>
                                    <div class="progress">
                                        <div class="progress-bar" role="progressbar" style="width: {@ skill.level * 10 @}%"
                                            aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                    </div>
                                </li>
                                {% endif %}
                            {% endfor %}
                        </ul>

                        <ul class="list-inline">
                            {% for skill in skills.list %}
                                {% if not skill.level %}
                                <li class="list-inline-item"><span class="badge badge-light badge-pill">{@ skill.label @}</span></li>
                                {% endif %}
                            {% endfor %}
                        </ul>
                    </div>
                </section>

                <section id="education-section" class="mb-4">
                    <h2 class="pb-3 mb-3">{@ education.name @}</h2>

                    <ul class="content list-unstyled">
                        {% for e in education.list %}
                            <li class="item mb-2">
                                <div class="title">{@ e.title @}</div>
                                <div class="at">{@ e.at @}, {@ e.location @}</div>
                                <div class="date">{@ e.date @}</div>
                            </li>
                        {% endfor %}
                    </ul>
                </section>

                <section id="language-section" class="mb-4">
                    <h2 class="title pb-3 mb-3">{@ language.name @}</h2>
                    <ul class="content list-unstyled">
                        {% for language in language.list %}
                            <li class="item mb-2">
                                <span class="title">{@ language.label @}</span>
                                <small>{@ language.description @}</small>
                            </li>
                        {% endfor %}
                    </ul>
                </section>

            </aside>

            <div class="col-md-9 order-md-1 py-4 px-4 pl-md-5">

                {% if me.summary %}
                <section id="summary-section" class="mb-4">
                    <h2 class="pb-3 mb-3">Summary</h2>
                    <div class="content mb-0">{@ me.summary @}</div>
                </section>
                {% endif %}

                <section id="experience-section" class="mb-4">
                    <h2 class="pb-3 mb-3">{@ experience.name @}</h2>
                    {% for subcat in experience.subcats %}
                        <div class="content mb-3">
                            {% if subcat.name|length %}
                                <h3 id="{@ subcat.name|urlencode() @}" class="pb-3 mb-3">{@ subcat.name @}</h3>
                            {% endif %}
                            <div class="timeline position-relative">

                                {% for e in subcat.list %}
                                    <div class="item position-relative pb-3">

                                        <div class="mb-2">
                                            <div class="m-0 d-flex flex-row">
                                                <span class="title">{@ e.title @}</span>
                                                <span class="date ml-auto">{@ e.date @}</span>
                                            </div>
                                            {% if e.at %}
                                                <span class="at">{@ e.at @},</span>
                                                <span class="location">{@ e.location @}</span>
                                            {% endif %}
                                        </div>

                                        <div>
                                            {% if e.description %}
                                                <p>{@ e.description @}</p>
                                            {% endif %}

                                            {% if e.details %}
                                                <ul>
                                                {% for detail in e.details %}
                                                    <li>{@ detail @}</li>
                                                {% endfor %}
                                                </ul>
                                            {% endif %}

                                            {% if e.tech %}
                                                <ul class="list-inline">
                                                {% for t in e.tech %}
                                                    <li class="list-inline-item"><span class="badge badge-primary badge-pill">{@ t @}</span></li>
                                                {% endfor %}
                                                </ul>
                                            {% endif %}
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    {% endfor %}
                </section>
            </div>

        </div>
    </main>

    <footer class="print-hidden py-3">
        Powered by <a href="https://getbootstrap.com/" target="_blank">Bootstrap 4</a> & <a href="http://jinja.pocoo.org" target="_blank">Jinja 2</a>.
        <a href="https://gitlab.com/aurelien.chabot/cv" target="_blank">See source code.</a>
    </footer>

</body>
